/**
 * @file
 * Visual styles for menu.
 */

ul.menu {
  margin: 0;
  padding: 0;
  list-style: none outside;
}

.menu-item--expanded {
  list-style-type: circle;
  list-style-image: url(../../images/icons/menu-expanded.png);
}

.menu-item--collapsed {
  list-style-type: disc;
  list-style-image: url(../../images/icons/menu-collapsed.png); /* LTR */
}

.menu-item {
  margin: 0;
  padding: 0;
}

ul.menu a.is-active {
  text-decoration: underline;
}

/* Theme Styles */
.region-primary-menu .menu-item {
  display: inline;
  margin-right: 16px;
}

.region-primary-menu .menu-item a {
  color: var(--color-white);
  font-weight: bold;

  &:hover {
    text-decoration: underline;
  }
}

.region-header .menu--account .menu {
  margin: 18px 0 0;
}

.region-header .menu--account .menu-item {
  display: inline-block;
  margin: 0 8px;
}

.region-header .menu--account .menu-item a {
   &:hover {
    text-decoration: underline;
  }
}

.region-footer .menu--account .menu {
  margin: 0;
}

.region-footer .menu--account .menu-item {
  display: inline-block;
  margin: 0 8px 0 0;
}

.region-footer .menu--account .menu-item a {
  color: var(--color-white);

  &:hover {
    text-decoration: underline;
  }
}
